import { FormConfig, FormEntry } from "./form-config";
export declare abstract class Template {
    abstract name(): string;
    protected abstract getFields(): FormEntry[];
    getConfig(): FormConfig;
}
export declare class WebAccountTemplate extends Template {
    name(): string;
    protected getFields(): FormEntry[];
}
export declare class AccountTemplate extends Template {
    name(): string;
    protected getFields(): FormEntry[];
}
export declare class FileTemplate extends Template {
    name(): string;
    protected getFields(): FormEntry[];
}
export declare class EnvironmentConfigTemplate extends Template {
    name(): string;
    protected getFields(): FormEntry[];
}
