import { Observable } from 'rxjs';
import { Token } from '../models/token';
import * as i0 from "@angular/core";
export declare class JwtService {
    private currentJwtSubject;
    get currentJwt(): Observable<string | null>;
    private currentTokenSubject;
    get currentToken(): Observable<Token | null>;
    setJwt(jwt: string | null): void;
    setToken(token: Token | null): void;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<JwtService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<JwtService>;
}
