import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { User } from '../models/user';
import { Environment } from '../models/environment';
import * as i0 from "@angular/core";
export declare class UserService {
    private environment;
    private http;
    constructor(environment: Environment, http: HttpClient);
    search(search: string): Observable<User[]>;
    current(): Observable<User>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserService>;
}
